#include "common.h"
#include "reduce.h"
DEFINE_ncclDevFunc(Reduce_RING_LL_SumPostDiv_u32_0_0_1, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_LL, 0, 0, 1)
#if (defined(__gfx90a__) || defined(__gfx942__) || defined(__gfx950__)) && defined(ENABLE_LL128)
DEFINE_ncclDevFunc(Reduce_RING_LL128_SumPostDiv_u32_0_0_1, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_LL128, 0, 0, 1)
#endif
DEFINE_ncclDevFunc(Reduce_RING_SIMPLE_SumPostDiv_u32_0_0_1, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_SIMPLE, 0, 0, 1)
DEFINE_ncclDevFunc(Reduce_RING_LL_SumPostDiv_u32_0_0_2, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_LL, 0, 0, 2)
#if (defined(__gfx90a__) || defined(__gfx942__) || defined(__gfx950__)) && defined(ENABLE_LL128)
DEFINE_ncclDevFunc(Reduce_RING_LL128_SumPostDiv_u32_0_0_2, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_LL128, 0, 0, 2)
#endif
DEFINE_ncclDevFunc(Reduce_RING_SIMPLE_SumPostDiv_u32_0_0_2, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_SIMPLE, 0, 0, 2)
DEFINE_ncclDevFunc(Reduce_RING_LL_SumPostDiv_u32_0_0_4, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_LL, 0, 0, 4)
#if (defined(__gfx90a__) || defined(__gfx942__) || defined(__gfx950__)) && defined(ENABLE_LL128)
DEFINE_ncclDevFunc(Reduce_RING_LL128_SumPostDiv_u32_0_0_4, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_LL128, 0, 0, 4)
#endif
DEFINE_ncclDevFunc(Reduce_RING_SIMPLE_SumPostDiv_u32_0_0_4, ncclFuncReduce, FuncSumPostDiv, uint32_t, NCCL_ALGO_RING, NCCL_PROTO_SIMPLE, 0, 0, 4)
